cURL
curl --request POST \
--url https://api.mudstack.com/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>' \
--form file='@example-file' \
--form 'body={}'import requests
url = "https://api.mudstack.com/workspaces"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "body": "{}" }
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('body', '{}');
const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>'
}
};
options.body = form;
fetch('https://api.mudstack.com/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"thumbnail_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultAvatar": 1,
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence": "<string>",
"roles": {
"workspace_id": "<string>",
"user_id": "<string>",
"roles": [
"<string>"
],
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
},
"usage": {}
}Workspaces
Create workspace
Creates a new workspace with the given name and thumbnail.
POST
/
workspaces
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The name of the workspace
Response
200 - application/json
Successfully created workspace
Unique identifier for the workspace.
Unique identifier for the account associated with the workspace.
Name of the workspace.
Unique identifier for the thumbnail file associated with the workspace.
Default avatar for the workspace.
Required range:
1 <= x <= 10Unique identifier for the user who created the workspace.
Sequence number for the workspace.
Roles associated with the workspace.
Show child attributes
Show child attributes
Usage information for the workspace.
Was this page helpful?
⌘I